Bug 1774229 - Please branch and build python-botocore for EPEL8
Summary: Please branch and build python-botocore for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-botocore
Version: epel8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Duncan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1761605
TreeView+ depends on / blocked
 
Reported: 2019-11-19 20:24 UTC by Orion Poplawski
Modified: 2019-12-07 02:10 UTC (History)
6 users (show)

Fixed In Version: python-botocore-1.13.21-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-07 02:10:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2019-11-19 20:24:41 UTC
Please branch and build python-botocore for EPEL8.  Needed for buildbot stack.

Comment 1 Orion Poplawski 2019-11-19 20:37:03 UTC
David - botocore is FTBFS now:

+ sed -i -e '1 d' botocore/vendored/requests/packages/chardet/chardetect.py
sed: can't read botocore/vendored/requests/packages/chardet/chardetect.py: No such file or directory
error: Bad exit status from /tmp/rpm/rpm-tmp.aEaaDy (%prep)

Comment 2 Orion Poplawski 2019-11-19 21:26:21 UTC
Branch requested:

https://pagure.io/releng/fedora-scm-requests/issue/19830
https://pagure.io/releng/fedora-scm-requests/issue/19831

Feel free to add me (orion) to the package.

Scratch build - https://koji.fedoraproject.org/koji/taskinfo?taskID=39107592

Comment 3 Fedora Update System 2019-11-20 16:33:57 UTC
FEDORA-EPEL-2019-13da552374 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 4 David Duncan 2019-11-20 16:41:44 UTC
 This has been on my roadmap for a while, so I am grateful for the bootstrap and the assist. 
orion@

Comment 5 Fedora Update System 2019-11-21 02:43:04 UTC
python-boto3-1.10.21-1.el8, python-botocore-1.13.21-1.el8, python-msgpack-0.6.2-1.el8, python-s3transfer-0.2.1-1.el8, python-treq-18.6.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 6 Fedora Update System 2019-11-21 15:36:40 UTC
FEDORA-EPEL-2019-13da552374 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 7 Fedora Update System 2019-11-22 02:23:15 UTC
python-blist-1.3.6-23.el8, python-boto3-1.10.21-1.el8, python-botocore-1.13.21-1.el8, python-msgpack-0.6.2-1.el8, python-s3transfer-0.2.1-1.el8, python-snappy-0.5.4-5.el8, python-treq-18.6.0-1.el8, python-ujson-2.0-0.2.20170206git2f1d487.el8, python-wsaccel-0.6.2-20.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-13da552374

Comment 8 Fedora Update System 2019-12-07 02:10:39 UTC
python-blist-1.3.6-23.el8, python-boto3-1.10.21-1.el8, python-botocore-1.13.21-1.el8, python-msgpack-0.6.2-1.el8, python-s3transfer-0.2.1-1.el8, python-snappy-0.5.4-5.el8, python-treq-18.6.0-1.el8, python-ujson-2.0-0.2.20170206git2f1d487.el8, python-wsaccel-0.6.2-20.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.